Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006895opensim[REGION] OpenSim Corepublic2013-12-16 07:042014-07-29 13:43
ReporterMata Hari 
Assigned ToMata Hari 
PrioritynormalSeveritymajorReproducibilityrandom
StatusclosedResolutionfixed 
PlatformIntel i7 930 quad coreOSWindows .NETOS VersionWin7 x64
Product Versionmaster (dev code) 
Target VersionFixed in Versionmaster (dev code) 
Summary0006895: occasional console "hang"
DescriptionThis is an issue I've been experiencing for months but haven't been able to find a way to reproduce and am not sure how best to describe.

Once or twice a day it seems that my console will "hang" and go for a period of a couple hours without processing anything. It will clear immediately if I switch to the console and simply hit ENTER or issue any console command, at which point all queued actions will process (so it's like they're all stuck in a buffer) and things will be fine again.

I based on what I see processing, it would seem that the first commands "stuck" in the buffer (or the first ones I see executing when it clears) relate to the normal stats/map tile generation process that happens automatically every hour. When it clears, I'll see a single set of stats and then it will run through several iterations of "generating maptile step 1", etc all in sequence.

While "hung", it seems as though nothing else gets through successfully -- friends online/offline notifications, etc; and they will all then happen as the console chews through its buffer.

While in this "hung" state, no inbound or outbound tps will succeed (and I don't see the attempts to do either anywhere in the console when clearing the hang) but it seems that most other in-region activities work correctly (I can sit on things, I *think* that building/deleting prims works, I *think* I can change attachments, etc).

As I say it only seems to happen once or twice a day (sometimes never, occasionally more) and the only thing I can think of that might affect the likelihood of it happening is other software I am using on that computer during that time....I often find the console has hung if I've been working extensively in Blender or Photoshop and even moreso if one or the other is still open. However, I do also experience it when I've done nothing else with the system (it can hang overnight when it's the only program running).

I do not recall seeing this happening at all when I was running Opensim on Win Vista 32 or on Linux Ubuntu so it's likely to be a Win7 64 issue -- perhaps I need to alter process priorities?
TagsNo tags attached.
Git Revision or version number
Run Mode Standalone (Multiple Regions)
Physics EngineBulletSim
Environment.NET / Windows64
Mono VersionNone
Viewern/a
Attached Files

- Relationships

-  Notes
(0025652)
Mata Hari (reporter)
2014-04-01 12:04

Hasn't happened to me in months so assuming it's fixed

- Issue History
Date Modified Username Field Change
2013-12-16 07:04 Mata Hari New Issue
2014-04-01 12:04 Mata Hari Note Added: 0025652
2014-04-01 12:04 Mata Hari Status new => resolved
2014-04-01 12:04 Mata Hari Fixed in Version => master (dev code)
2014-04-01 12:04 Mata Hari Resolution open => fixed
2014-04-01 12:04 Mata Hari Assigned To => Mata Hari
2014-07-29 13:43 chi11ken Status resolved => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker